Skip to main content
PATCH
/
tax
/
transaction
/
{transactionId}
Update Transaction Cost Basis
curl --request PATCH \
  --url https://api.anchorage-staging.com/v2/tax/transaction/{transactionId} \
  --header 'Api-Access-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "DEPOSIT",
  "acquisitionDatetime": "2023-11-07T05:31:56Z",
  "assetType": "BTC",
  "lots": [
    {
      "cost": "<string>",
      "quantity": "<string>",
      "acquisitionDatetime": "2023-11-07T05:31:56Z"
    }
  ]
}
'
{
  "data": {
    "transactionId": "9cd9f4d4-078b-4e44-a308-7662fec0f546"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

transactionId
string
required

The ID of the transaction to update (Same as the one returned for Transactions in the Subaccounts API )

Body

application/json
type
enum<string>
required

A string representing the type of the transaction. Must match the original transaction type.

Available options:
DEPOSIT,
WITHDRAW
Example:

"DEPOSIT"

acquisitionDatetime
string<date-time>

ISO-8601 timestamp representing when the lot was acquired.

assetType
string

A string representing the asset type of the transaction.

Example:

"BTC"

data
TransactionCostBasis · object

Details of the transaction cost basis

lots
TransactionTaxLot · object[]

An Array of the Tax lots that are part of this transaction

Minimum array length: 1

Response

Successfully updated the transaction

data
UpdateTransactionResponseId · object
required